<?php
// ╔══════════════════════════════════════════════╗
// ║ Card                                         ║
// ║                                              ║
// ║ @param string $thumb Either an image url, or "date" to use the $date
// ║                                              ║
// ║  Moving to composer                          ║
// ║                                              ║
// ║                                              ║
// ╚══════════════════════════════════════════════╝
?>
<div class="card <?php
	if (!empty($image) || !empty($dateImage)) echo 'card--has-image ';
	if (!empty($detail)) echo 'card--detail ';
?>">
	<?php if (!empty($dateImage) && !empty($date)): ?>
		<div class="card__date-image">
			<?= Date('M Y', $date); ?>
		</div>
	<?php endif; ?>

	<?php if (!empty($image)): ?>
		<?= $this->Html->image($image, [
			'alt' => '',
			'width' => 180,
			'height' => 180,
			'class' => 'card__image'
		]); ?>
	<?php endif; ?>

	<div class="card__content">
		<?php if (!empty($header)): ?>
			<?= $header; ?>
		<?php endif; ?>

		<?php if (!empty($date)): ?>
			<?= Date('d/m/Y', $date); ?>
		<?php endif; ?>

		<?php if (!empty($content)): ?>
			<?= $content; ?>
		<?php endif; ?>
	</div>
</div>

<div class="spacer"></div>
